<script setup lang="ts">
import NavBarLink from './NavBarLink.vue';

import ConnectWalletButton from '@/components/navbar/ConnectWalletButton.vue';
import { navBarLinks } from '@/constants/links';
</script>

<template>
  <header class="flex justify-between w-full">
    <nav class="flex gap-[15px]">
      <NavBarLink v-for="link in navBarLinks" :key="link.to" v-bind="link" />
    </nav>
    <div class="self-end">
      <ConnectWalletButton />
    </div>
  </header>
</template>
